opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::StarAdjuster Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::StarAdjuster:

## Public Member Functions
virtual bool | good () const
| StarAdjuster (double initial_thresh=30.0)
virtual void | tooFew (int min, int n_detected)
virtual void | tooMany (int max, int n_detected)
Public Member Functions inherited from cv::AdjusterAdapter
virtual | ~AdjusterAdapter ()
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()

## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes
CvStarDetectorParams | params_
double | thresh_

## Additional Inherited Members
Static Public Member Functions inherited from cv::AdjusterAdapter
static Ptr< AdjusterAdapter > | create (const string &detectorType)
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Detailed Description

An adjuster for StarFeatureDetector, this one adjusts the responseThreshold for now TODO find a faster way to converge the parameters for Star - use CvStarDetectorParams

## Constructor & Destructor Documentation

cv::StarAdjuster::StarAdjuster | ( | double | initial_thresh = `30.0` | ) |

## Member Function Documentation

virtual void cv::StarAdjuster::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const
| protected virtual

Implements cv::FeatureDetector.

virtual bool cv::StarAdjuster::good | ( |  | ) | const
| virtual

are params maxed out or still valid?

Returns
  false if the parameters can't be adjusted any more

Implements cv::AdjusterAdapter.

virtual void cv::StarAdjuster::tooFew | ( | int | min,
|  | int | n_detected
| ) |  |
| virtual

too few features were detected so, adjust the detector params accordingly

Parameters

  min | the minimum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

virtual void cv::StarAdjuster::tooMany | ( | int | max,
|  | int | n_detected
| ) |  |
| virtual

too many features were detected so, adjust the detector params accordingly

Parameters

  max | the maximum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

## Member Data Documentation

CvStarDetectorParams cv::StarAdjuster::params_
| protected

double cv::StarAdjuster::thresh_
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp